<?session_start();
//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
include ("calendario/calendario.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$fecha=$_REQUEST["fecha"];
$monto=$_REQUEST["monto"];
$detalle=$_REQUEST["detalle"];


$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();



/////////////////////////////////////////////////MOSTRAR SOLICITUD DEL TRABAJADOR ////////////////////////////////////////////////////////////////

	
	

	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='img2/deduccion.png' alt='Seleccionar'>&nbsp;Seleccionar Trabajador";
	echo "<hr><h2 align='center'>Carga de Archivos de Pagos enviados a Banesco</h2>";	
	
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
			echo "<td align=right> Fecha/correlelativo/tipo Nomina:</td>";
			echo "<td> <input name='cedula' size = '30' maxlength = '20'></td>";
	echo "</tr>";

	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr></table></form>"; 

	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and (indice like '%".$_POST['cedula']."%' or correlativo_banco like '%".$_POST['cedula']."%' or fecha_pago like '%".$_POST['cedula']."%' or tipo_proceso like '%".$_POST['cedula']."%') ";
	}
	
	



	//$consulta="select * from envios_bancos where id='".$_SESSION['id_validar']."' order by indice ASC  LIMIT 100 OFFSET 1400 ";
	$consulta = "SELECT * FROM envios_bancos WHERE id = '".$_SESSION['id_validar']."' ORDER BY indice DESC LIMIT 100";

	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	//echo "la consulta completa es: ".$consulta ;
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
			echo "<table  border=1 cellpadding=2 cellspacing=1 align='center'>";
			echo "<tr bgcolor='#43bced' height='35'>";
			echo "<th align = center><font color='white'> Indice </font></th>";
			echo "<th align = left><font color='white'> Descripcion </font></th>";
			echo "<th align = left><font color='white'> Tipo Proceso </font></th>";
			echo "<th align = left><font color='white'> Tipo Nomina </font></th>";
			echo "<th align = left><font color='white'> Nro. Sem/Quin </font></th>";
			echo "<th align = left><font color='white'> Correlativo </font></th>";
			echo "<th align = left><font color='white'> Fecha Envio </font></th>";
			echo "<th align = left><font color='white'> Fecha Pago </font></th>";
			echo "<th align = center><font color='white'> Monto Bs. </font></th>";
			echo "<th align = center><font color='white'> Observaciones </font></th>";
			
			//echo "<th align = center><font color='white'> Acci&oacute;n </font></th>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				$indice = $row['indice'];
				$descripcion = $row['descripcion'];
				$tipo_proceso = $row['tipo_proceso'];
				$tipo_nomina = $row['tipo_nomina'];
				$sem_quinc = $row['sem_quinc'];
				$correlativo = $row['correlativo_banco'];
				$fecha_envio = $row['fecha_envio'];
				$fecha_pago = $row['fecha_pago'];
				$monto_bs = $row['monto_bs'];
				$observaciones = $row['observaciones'];
				
				
				echo '<tr bgcolor='.$tcolor.' >';
				
				echo "<td width='10'>".$indice."</td>";
				echo "<td width='300'>".$descripcion."</td>";
				echo "<td width='100'>".$tipo_proceso."</td>";
				echo "<td width='10'>".$tipo_nomina."</td>";
				echo "<td width='10'>".$sem_quinc."</td>";
				echo "<td width='10'><a href='".$_SERVER['PHP_SELF']."?accion=1&correlativo_banco=".$correlativo."'>".$row['correlativo_banco']."</a></td>";
				echo "<td width='100'>".$fecha_envio."</td>";
				echo "<td width='100'>".$fecha_pago."</td>";
				echo "<td width='100' align='right' >".number_format($monto_bs,2,',','.')."</td>";
				echo "<td width='400'>".$observaciones."</td>";
				

				
				echo '</tr>';
				$color=!$color;
			}
			echo '</table>';
			
			
	} else echo "<hr>"; 

// Aqu� creo el formulario para la carga de datos de Archivos
?>

<html>
<head>
    <title>Registrar Archivo</title>
    <meta charset="utf-8">
    <link rel="stylesheet" type="text/css">
</head>    
<table  border=1 cellpadding=2 cellspacing=1 align='center'>
<body>
    <form method="post">
        <h1 align='center'>Cargue los datos</h1>
		
		<tr>
		<td align='right'>Descripci&oacute;n</td>
        <td><input type="text" name="descripcion" ></td>
		
		<td align='right'>Tipo de proceso</td>
		
		<td><select id="tipo_proceso" name="tipo_proceso">
			<option value="contingencia">Contingencia</option>
			<option value="especial">Especial</option>
			<option value="fideicomiso">Fideicomiso</option>
			<option value="finiquito">Finiquito</option>
			<option value="nomina">Nomina</option>
			<option value="utilidades">Utilidades</option>
			<option value="vacaciones">Vacaciones</option>
			<option value="Cestaticket">Cestaticket</option>
			</select></td>

		<td align='right'>Tipo de Nomina</td>
		<td><select id="tipo_nomina" name="tipo_nomina">
			<option value="D">Diaria</option>
			<option value="M">Mensual</option>
			</select></td>
		</tr >
		
		<tr>
		<td align='right'>Sem/Quinc</td>
		<td><input type="number" name="sem_quinc" placeholder="Nro Sem/Quin" step="1" min="1"></td>

		<td align='right'>Correlativo</td>
		<td><input type="text" name="correlativo_banco" placeholder="Ejm. 01241X22"></td>
		
		<td align='right'>Monto pagado Bs.</td>
		<td><input type="text" name="monto_bs" placeholder="Monto BS."></td>
		</tr >
		
		<tr>
		<td align='right'>Fecha Env&iacute;o</td>
		<td><input type="date" name="fecha_envio" placeholder="Fecha Env&iacute;o"></td>
		
		<td align='right'>Fecha Pago</td>
		<td><input type="date" name="fecha_pago" placeholder="Fecha Pago"></td>
		
		<td align='right'>Observaciones</td>
		<td><input type="text" name="observaciones" placeholder="Observaciones"></td>
		</tr >
		
		<tr >
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
		<td><input type="submit" name="register" value="Registrar"></td>
		</tr >
		
    </form>    
</body>
</table>
</html>
<?php
$enlace=cargar_conexion();
if (isset($_POST['register'])) {
	
    $descripcion = trim($_POST['descripcion']);
	$tipo_proceso = trim($_POST['tipo_proceso']);
	$tipo_nomina = trim($_POST['tipo_nomina']);
	$sem_quinc = trim($_POST['sem_quinc']);
	$correlativo_banco = trim($_POST['correlativo_banco']);
	$fecha_envio = $_POST['fecha_envio'];
	$fecha_pago = $_POST['fecha_pago'];
	$monto_bs = trim($_POST['monto_bs']);
	$observaciones = trim($_POST['observaciones']);
    
    // Aseg�rate de tener una conexi�n a la base de datos antes de esta l�nea
    $consultaInsert = "INSERT INTO envios_bancos(descripcion, tipo_proceso, tipo_nomina, sem_quinc, correlativo_banco, fecha_envio, fecha_pago, monto_bs, observaciones, id) VALUES ('$descripcion', '$tipo_proceso', '$tipo_nomina','$sem_quinc','$correlativo_banco','$fecha_envio','$fecha_pago','$monto_bs', '$observaciones','" . $_SESSION['id_validar'] . "')";
    $resultado = mysqli_query($enlace, $consultaInsert);
	////echo " la consulta es: ".$consultaInsert;
    
    if ($resultado) {
        echo '<h3 class="ok">Insertado correctamente</h3>';
    } else {
        echo '<h3 class="bad">Error al insertar</h3>';
    }
}

// Hasta aqu� creo el formulario para la carga de datos de Archivos




		

	mysqli_free_result($resultado);
	


	
echo "<br><br><br><br></body>";
echo "</html>";
?>